#ifndef CASELLO_H
#define CASELLO_H
#include "Compito.h"
#include <queue>
#include <iostream>
class Veicolo;
class Sincronizzatore;

class Casello : public Compito
{
public:
  Casello( bool ,bool ,bool, Sincronizzatore * = 0 );
  bool svolgiCompito();
  void aggiungiVeicolo(Veicolo*);
  bool contanti()const;
  bool viaCard()const;
  bool telePass()const;
  double attesa() const;
 
private:
  double deltaT() const;
  bool  incassoContanti;
  bool  incassoViaCard;
  bool  incassoTelePass;
  queue<Veicolo*> coda;
};

#endif
