#ifndef __compito_h__
#define __compito_h__
class Sincronizzatore;

class Compito
{
 public:
  Compito( Sincronizzatore * );
  virtual ~Compito();
  double tempoProssimoEvento() const;
  bool esegui();
  void abilita();

 private:
  virtual double deltaT() const = 0;
  virtual bool svolgiCompito() = 0;
  Sincronizzatore* sinc_;
  double tempo_;
};

#endif
