#include "CompitoScemo.h"
#include "Sincronizzatore.h"
#include <iostream>

CompitoScemo::CompitoScemo( double t, int c, Sincronizzatore * s ) :
  Compito( s ),
  count_( c ), deltaT_( t )
{
}

bool CompitoScemo::svolgiCompito()
{
  cout << count_ << ") Sto svolgendo il compito. T= "<< tempoProssimoEvento() << endl;
  count_ --;
  return count_ > 0;
}

double CompitoScemo::deltaT() const
{
  return deltaT_;
}

