#ifndef GENERATORETRAFFICO_H
#define GENERATORETRAFFICO_H
#include "Compito.h"
#include "Svincolo.h"
#include "Veicolo.h"
#include <cmath>
#include <cstdlib>

class GeneratoreTraffico : public Compito
{
public:
  GeneratoreTraffico( double contanti, double viaCard, double telePass, 
		      double freq, 
		      Svincolo * = 0, Sincronizzatore * = 0 );
  ~GeneratoreTraffico();
  bool svolgiCompito();
  double deltaT() const;
  
private:
  double probContanti, probViaCard, probTelePass, frequenza;
  Svincolo *svincolo;
};

#endif
