#include "Sincronizzatore.h"
#include "Casello.h"
#include "Svincolo.h"
#include "GeneratoreTraffico.h"

void main()
{
  Sincronizzatore s;
  Casello c1( true, false, false, &s );
  Casello c2( true, false, false, &s );
  Casello c3( true, false, false, &s );
  Casello c4( false, true, true, &s );
  Casello c5( false, false, true, &s );
  Svincolo sv;
  sv.inserisciCasello( &c1 );
  sv.inserisciCasello( &c2 );
  sv.inserisciCasello( &c3 );
  sv.inserisciCasello( &c4 );
  sv.inserisciCasello( &c5 );
  GeneratoreTraffico g( 1, 0.2, 0.1, 0.5, &sv, &s );
  s.aggiungi( &c1 );
  s.aggiungi( &c2 );
  s.aggiungi( &c3 );
  s.aggiungi( &c4 );
  s.aggiungi( &c5 );
  s.aggiungi( &g );
  s.esegui();
}
